Bug 102787 - compile time threading limits are too low for busy caches
Summary: compile time threading limits are too low for busy caches
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: squid   
(Show other bugs)
Version: 2.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Stransky
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-21 03:32 UTC by Red Hat Production Operations
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 10:44:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2003-08-21 03:32:46 UTC
Description of problem:

Seen in squid's cache.log: aio_queue_request: WARNING - Queue congestion

Based on this thread, it appears that the number of threads available to squid
needs to be increased:

http://ftp.pop-mg.rnp.br/squid/mail-archive/squid-users/200111/1228.html

The current squid settings use these defaults:

#ifdef ASYNC_IO_THREADS
#define NUMTHREADS ASYNC_IO_THREADS
#else
#define NUMTHREADS (Config.cacheSwap.n_configured*16)
#endif

which defines 16 threads per cache directory configured in squid.conf.
(reference parse_cachedir() in src/cache_cf.c)

I think that changing the configure line for squid to have
"--with-aio-threads=32" would be a potential starting point.

Either that, or patching the above portion in src/fs/aufs/store_asyncufs.h to be
*32 per cache directory, so that sites already using multiple cache directories
will not be suprised by the overall number of threads decreasing if they have
more than 2 directories setup.

Comment 1 Martin Stransky 2005-11-24 13:30:36 UTC
Is it still a problem with the latest RHELs?


Note You need to log in before you can comment on or make changes to this bug.